Get Dataset Versions Endpoint
GET
/datasets/{dataset_id}/versions/
const url = 'https://example.com/api/datasets/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/versions/?skip=0&limit=50';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/datasets/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/versions/?skip=0&limit=50' \ --header 'Authorization: Bearer <token>'Get paginated version history for a dataset.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” dataset_id
required
Dataset Id
string format: uuid
Query Parameters
Section titled “Query Parameters ” skip
Skip
integer
limit
Limit
integer
Responses
Section titled “ Responses ”Successful Response
Media type application/json
DatasetVersionListResponse
object
versions
required
Versions
Array<object>
DatasetVersionResponseobject
id
required
Id
string format: uuid
dataset_id
required
Dataset Id
string format: uuid
version_number
required
Version Number
integer
uploaded_at
required
Uploaded At
string format: date-time
total
required
Total
integer
Example generated
{ "versions": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "dataset_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "version_number": 1, "source_filename": "example", "source_format": "example", "feature_count": 1, "srid": 1, "geometry_type": "example", "file_hash": "example", "uploaded_by": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "uploaded_at": "2026-04-15T12:00:00Z" } ], "total": 1}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}